This is documentation for the mkpasswd.c included in ircd-hybrid.

This version of mkpasswd can create Blowfish, SHA-256 and SHA-512
passwords, with either randomly generated or user provided salts.

Options:
-5 - Create a SHA-256 password
-6 - Create a SHA-512 password
-b - Create a Blowfish password
-R - Specify a raw salt passed directly to crypt()
-l - Specify the length of a random SHA-256/SHA-512 or Blowfish salt
-r - Specify a number of rounds for a Blowfish password
-p - Specify the plaintext password at the command line
-s - Specify the salt at the command line
-h - Get full usage help
-? - Get brief usage help

Known bugs:
The encryption algorithms supported depend on your system's crypt()
implementation.

Supported Platforms (Known and tested):
Linux glibc 2.7+ (SHA-256/SHA-512)
FreeBSD 10.2 (SHA-256/SHA-512, Blowfish)
OpenBSD 5.8 (Blowfish)

Other systems probably work, but they haven't been amply tested.
